Index: Singular/mpr_base.cc
===================================================================
--- Singular/mpr_base.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_base.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2,7 +2,7 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_base.cc,v 1.1 1999-06-28 12:48:11 wenk Exp $ */
-
-/* 
+/* $Id: mpr_base.cc,v 1.2 1999-06-28 16:06:24 Singular Exp $ */
+
+/*
  * ABSTRACT - multipolynomial resultants - resultant matrices
  *            ( sparse, dense, u-resultant solver )
@@ -53,5 +53,5 @@
 #define MINVDIST       0.0
 #define RVMULT         0.00005 // 0.000000005
-#define MAXVARS        100           
+#define MAXVARS        100
 //<-
 
@@ -62,8 +62,9 @@
 
 /* Linear Program stuff */
-struct linProg {          // Linear Program stuff
-  mprfloat **LiPM;            
-  int *izrov, *iposv;       
-  int LiPM_cols,LiPM_rows; 
+struct linProg
+{
+  mprfloat **LiPM;
+  int *izrov, *iposv;
+  int LiPM_cols,LiPM_rows;
 };
 
@@ -89,5 +90,5 @@
 
   const poly getUDet( const number* evpoint );
-  
+
 private:
   resMatrixSparse( const resMatrixSparse & );
@@ -102,5 +103,5 @@
 
   /* Remaps a result of LP to the according point set Qi.
-   * Returns false iff remaping was not possible, otherwise true. 
+   * Returns false iff remaping was not possible, otherwise true.
    */
   bool remapXiToPoint( const int indx, pointSet **pQ, int *set, int *vtx );
@@ -120,13 +121,13 @@
 private:
   ideal gls;
-  
+
   int n, idelem;     // number of variables, polynoms
   int numSet0;       // number of elements in S0
   int msize;         // size of matrix
-  
+
   intvec *uRPos;
 
   ideal rmat;        // sparse matrix representation
-  
+
   linProg LP;
 };
@@ -138,10 +139,12 @@
 typedef unsigned int Coord_t;
 
-struct setID {
+struct setID
+{
   int set;
   int pnt;
 };
 
-struct onePoint {
+struct onePoint
+{
   Coord_t * point;             // point[0] is unused, maxial dimension is MAXVARS+1
   setID rc;                    // filled in by Row Content Function
@@ -151,6 +154,7 @@
 typedef struct onePoint * onePointP;
 
-/* sparse matrix entry */ 
-struct _entry {
+/* sparse matrix entry */
+struct _entry
+{
   number num;
   int col;
@@ -162,5 +166,6 @@
 
 //-> class pointSet
-class pointSet {
+class pointSet
+{
 private:
   onePointP *points;     // set of onePoint's, index [1..num], supports of monoms
@@ -218,5 +223,5 @@
   /* Returns index of supp(LT(p)) in pointSet. */
   int getExpPos( const poly p );
-  
+
   /** sort lex
    */
@@ -252,5 +257,6 @@
 //-> class convexHull
 /* Compute convex hull of given exponent set */
-class convexHull {
+class convexHull
+{
 public:
   convexHull( linProgP _pLP ) : pLP(_pLP) {}
@@ -264,5 +270,5 @@
 
 private:
-  /** Returns true iff the support of poly pointPoly is inside the 
+  /** Returns true iff the support of poly pointPoly is inside the
    * convex hull of all points given by the  support of poly p.
    */
@@ -278,5 +284,6 @@
 //-> class mayanPyramidAlg
 /* Compute all lattice points in a given convex hull */
-class mayanPyramidAlg {
+class mayanPyramidAlg
+{
 public:
   mayanPyramidAlg( linProgP _pLP ) : n(pVariables), pLP(_pLP) {}
@@ -290,6 +297,6 @@
 private:
 
-  /** Recursive Mayan Pyramid algorithm for directly computing MinkowskiSum 
-   * lattice points for (n+1)-fold MinkowskiSum of given point sets Qi[].		
+  /** Recursive Mayan Pyramid algorithm for directly computing MinkowskiSum
+   * lattice points for (n+1)-fold MinkowskiSum of given point sets Qi[].
    * Recursively for range of dim: dim in [0..n); acoords[0..var) fixed.
    * Stores only MinkowskiSum points of udist > 0: done by storeMinkowskiSumPoints.
@@ -299,5 +306,5 @@
   /**  Compute v-distance via Linear Programing
    * Linear Program finds the v-distance of the point in accords[].
-   * The v-distance is the distance along the direction v to boundary of 
+   * The v-distance is the distance along the direction v to boundary of
    * Minkowski Sum of Qi (here vector v is represented by shift[]).
    * Returns the v-distance or -1.0 if an error occured.
@@ -307,5 +314,5 @@
   /** LP for finding min/max coord in MinkowskiSum, given previous coors.
    * Assume MinkowskiSum in non-negative quadrants
-   * coor in [0,n); fixed coords in acoords[0..coor)			
+   * coor in [0,n); fixed coords in acoords[0..coor)
    */
   void mn_mx_MinkowskiSum( int dim, Coord_t *minR, Coord_t *maxR );
@@ -315,5 +322,5 @@
    */
   bool storeMinkowskiSumPoint();
-  
+
 private:
   pointSet **Qi;
@@ -335,5 +342,6 @@
   int i, j;
 
-  for (i = 1; i <= maxrow; i++) {
+  for (i = 1; i <= maxrow; i++)
+  {
     Print("[");
     for (j = 1; j <= maxcol; j++) Print("% 7.2f, ", a[i][j]);
@@ -346,5 +354,6 @@
 
   printf("Output matrix from LinProg");
-  for (i = 1; i <= nrows; i++) {
+  for (i = 1; i <= nrows; i++)
+  {
     printf("\n[ ");
     if (i == 1) printf("  ");
@@ -360,5 +369,6 @@
 {
   int i;
-  for ( i= 1; i <= n; i++ ) {
+  for ( i= 1; i <= n; i++ )
+  {
     Print(" %d",vert->point[i] );
 #ifdef LONG_OUTPUT
@@ -372,21 +382,32 @@
   int val;
   Print(" matrix m[%d][%d]=(\n",MATROWS( omat ),MATCOLS( omat ));
-  for ( i= 1; i <= MATROWS( omat ); i++ ) {
-    for ( j= 1; j <= MATCOLS( omat ); j++ ) {
-      if ( MATELEM( omat, i, j) && pGetCoeff( MATELEM( omat, i, j) ) ) {
-	val= nInt(pGetCoeff( MATELEM( omat, i, j) ));
-	if ( i==MATROWS(omat) && j==MATCOLS(omat) ) {
-	  if ( !val ) Print(" 0 ");
-	  else Print("%d ",val);
-	} else {
-	  if ( !val ) Print(" 0, ");
-	  else Print("%d, ",val);
-	}
-      } else {
-	if ( i==MATROWS(omat) && j==MATCOLS(omat) ) {
-	  Print("  0");
-	} else {
-	  Print("  0, ");
-	}
+  for ( i= 1; i <= MATROWS( omat ); i++ )
+  {
+    for ( j= 1; j <= MATCOLS( omat ); j++ )
+    {
+      if ( MATELEM( omat, i, j) && pGetCoeff( MATELEM( omat, i, j) ) )
+      {
+        val= nInt(pGetCoeff( MATELEM( omat, i, j) ));
+        if ( i==MATROWS(omat) && j==MATCOLS(omat) )
+        {
+          if ( !val ) Print(" 0 ");
+          else Print("%d ",val);
+        }
+        else
+        {
+          if ( !val ) Print(" 0, ");
+          else Print("%d, ",val);
+        }
+      }
+      else
+      {
+        if ( i==MATROWS(omat) && j==MATCOLS(omat) )
+        {
+          Print("  0");
+        }
+        else
+        {
+          Print("  0, ");
+        }
       }
     }
@@ -394,5 +415,5 @@
   }
   Print(");\n");
-}    
+}
 #endif
 //<-
@@ -404,5 +425,6 @@
   int i;
   points = (onePointP *)Alloc( (count+1) * sizeof(onePointP) );
-  for ( i= 0; i <= max; i++ ) {
+  for ( i= 0; i <= max; i++ )
+  {
     points[i]= (onePointP)Alloc( sizeof(onePoint) );
     points[i]->point= (Coord_t *)Alloc0( (dim+2) * sizeof(Coord_t) );
@@ -415,5 +437,6 @@
   int i;
   int fdim= lifted ? dim+1 : dim+2;
-  for ( i= 0; i <= max; i++ ) {
+  for ( i= 0; i <= max; i++ )
+  {
     Free( (ADDRESS) points[i]->point, fdim * sizeof(Coord_t) );
     Free( (ADDRESS) points[i], sizeof(onePoint) );
@@ -430,11 +453,13 @@
 inline bool pointSet::checkMem()
 {
-  if ( num >= max ) {
+  if ( num >= max )
+  {
     int i;
     int fdim= lifted ? dim+1 : dim+2;
-    points= (onePointP*)ReAlloc( points, 
-				 (max+1) * sizeof(onePointP), 
-				 (2*max + 1) * sizeof(onePointP) );
-    for ( i= max+1; i <= max*2; i++ ) {
+    points= (onePointP*)ReAlloc( points,
+                                 (max+1) * sizeof(onePointP),
+                                 (2*max + 1) * sizeof(onePointP) );
+    for ( i= max+1; i <= max*2; i++ )
+    {
       points[i]= (onePointP)Alloc( sizeof(struct onePoint) );
       points[i]->point= (Coord_t *)Alloc0( fdim * sizeof(Coord_t) );
@@ -483,5 +508,6 @@
 {
   assume( indx > 0 && indx <= num );
-  if ( indx != num ) {
+  if ( indx != num )
+  {
     onePointP tmp;
     tmp= points[indx];
@@ -498,11 +524,13 @@
   int i,j;
 
-  for ( i= 1; i <= num; i++ ) {
+  for ( i= 1; i <= num; i++ )
+  {
     for ( j= 1; j <= dim; j++ )
       if ( points[i]->point[j] != vert->point[j] ) break;
     if ( j > dim ) break;
   }
-  
-  if ( i > num ) {
+
+  if ( i > num )
+  {
     addPoint( vert );
     return true;
@@ -515,11 +543,13 @@
   int i,j;
 
-  for ( i= 1; i <= num; i++ ) {
+  for ( i= 1; i <= num; i++ )
+  {
     for ( j= 1; j <= dim; j++ )
       if ( points[i]->point[j] != (Coord_t) vert[j] ) break;
     if ( j > dim ) break;
   }
-  
-  if ( i > num ) {
+
+  if ( i > num )
+  {
     addPoint( vert );
     return true;
@@ -535,14 +565,17 @@
   vert= (Exponent_t *)Alloc( (dim+1) * sizeof(Exponent_t) );
 
-  while ( piter ) {
+  while ( piter )
+  {
     pGetExpV( piter, vert );
 
-    for ( i= 1; i <= num; i++ ) {
+    for ( i= 1; i <= num; i++ )
+    {
       for ( j= 1; j <= dim; j++ )
-	if ( points[i]->point[j] != (Coord_t) vert[j] ) break;
+        if ( points[i]->point[j] != (Coord_t) vert[j] ) break;
       if ( j > dim ) break;
     }
 
-    if ( i > num ) {
+    if ( i > num )
+    {
       addPoint( vert );
     }
@@ -562,5 +595,6 @@
 
   pGetExpV( p, vert );
-  for ( i= 1; i <= num; i++ ) {
+  for ( i= 1; i <= num; i++ )
+  {
     for ( j= 1; j <= dim; j++ )
       if ( points[i]->point[j] != (Coord_t) vert[j] ) break;
@@ -586,10 +620,13 @@
 {
   int i;
-  
-  for ( i= 1; i <= dim; i++ ) {
-    if ( points[a]->point[i] > points[b]->point[i] ) {
+
+  for ( i= 1; i <= dim; i++ )
+  {
+    if ( points[a]->point[i] > points[b]->point[i] )
+    {
       return false;
     }
-    if ( points[a]->point[i] < points[b]->point[i] ) {
+    if ( points[a]->point[i] < points[b]->point[i] )
+    {
       return true;
     }
@@ -602,10 +639,13 @@
 {
   int i;
-  
-  for ( i= 1; i <= dim; i++ ) {
-    if ( points[a]->point[i] < points[b]->point[i] ) {
+
+  for ( i= 1; i <= dim; i++ )
+  {
+    if ( points[a]->point[i] < points[b]->point[i] )
+    {
       return false;
     }
-    if ( points[a]->point[i] > points[b]->point[i] ) {
+    if ( points[a]->point[i] > points[b]->point[i] )
+    {
       return true;
     }
@@ -621,13 +661,16 @@
   onePointP tmp;
 
-  while ( found ) {
+  while ( found )
+  {
     found= false;
-    for ( i= 1; i < num; i++ ) {
-      if ( larger( i, i+1 ) ) {
-	tmp= points[i];
-	points[i]= points[i+1];
-	points[i+1]= tmp;
-	
-	found= true;
+    for ( i= 1; i < num; i++ )
+    {
+      if ( larger( i, i+1 ) )
+      {
+        tmp= points[i];
+        points[i]= points[i+1];
+        points[i+1]= tmp;
+
+        found= true;
       }
     }
@@ -642,26 +685,30 @@
 
   time_t *tp = NULL;
-  seed = ((int)time(tp) % MAXSEED) + index; // secs since 1/1/70 ->[1,MAXSEED] 
+  seed = ((int)time(tp) % MAXSEED) + index; // secs since 1/1/70 ->[1,MAXSEED]
   //seed= 100+index;
-  
+
   dim++;
 
-  if ( !l ) {
+  if ( l==NULL )
+  {
     outerL= false;
     l= (int *)Alloc( (dim+1) * sizeof(int) ); // [1..dim-1]
-    
+
     srand48( (long)(seed*(index+MAXSEED*18)) );  // index+MAXSEED*MAXVARS
-    for(i = 1; i < dim; i++) {
+    for(i = 1; i < dim; i++)
+    {
       l[i]= 1 + ((unsigned int) mrand48()) % LIFT_COOR;
     }
   }
-  for ( j=1; j <= num; j++ ) {
+  for ( j=1; j <= num; j++ )
+  {
     sum= 0;
-    for ( i=1; i < dim; i++ ) {
+    for ( i=1; i < dim; i++ )
+    {
       sum += (int)points[j]->point[i] * l[i];
     }
     points[j]->point[dim]= sum;
   }
-  
+
 #ifdef mprDEBUG_ALL
   Print(" lift vector: ");
@@ -670,5 +717,6 @@
 #ifdef mprDEBUG_ALL
   Print(" lifted points: \n");
-  for ( j=1; j <= num; j++ ) {
+  for ( j=1; j <= num; j++ )
+  {
     Print("%d: <",j);print_exp(points[j],dim);Print(">\n");
   }
@@ -698,23 +746,26 @@
 {
   int i, j, col, icase;
-  int numcons;		// num of constraints 
-  int numpts;		// num of pts in defining support 
-  int numcols;		// tot number of cols 
-  
-  numcons = n+1;	
-  numpts = m-1;	
-  numcols = numpts+1;		// this includes col of cts 
-
-  pLP->LiPM[1][1] = +0.0;  pLP->LiPM[1][2] = +1.0;	// optimize (arbitrary) var 
-  pLP->LiPM[2][1] = +1.0;  pLP->LiPM[2][2] = -1.0; 	// lambda vars sum up to 1 
-  for ( j=3; j<=numcols; j++) {
+  int numcons;                // num of constraints
+  int numpts;                // num of pts in defining support
+  int numcols;                // tot number of cols
+
+  numcons = n+1;
+  numpts = m-1;
+  numcols = numpts+1;                // this includes col of cts
+
+  pLP->LiPM[1][1] = +0.0;  pLP->LiPM[1][2] = +1.0;        // optimize (arbitrary) var
+  pLP->LiPM[2][1] = +1.0;  pLP->LiPM[2][2] = -1.0;         // lambda vars sum up to 1
+  for ( j=3; j<=numcols; j++)
+  {
     pLP->LiPM[1][j] = +0.0; pLP->LiPM[2][j] = -1.0;
   }
 
-  for( i= 1; i <= n; i++) {	// each row constraints one coor 
+  for( i= 1; i <= n; i++) {        // each row constraints one coor
     pLP->LiPM[i+2][1] = (mprfloat)pGetExp(pointPoly,i);
     col = 2;
-    for( j= 1; j <= m; j++ ) {
-      if( j != site ) {
+    for( j= 1; j <= m; j++ )
+    {
+      if( j != site )
+      {
         pLP->LiPM[i+2][col] = -(mprfloat)pGetExp( monomAt(p,j), i );
         col++;
@@ -728,11 +779,13 @@
 #endif
 #if 1
-  if ( numcons + 1 > pLP->LiPM_rows ) Werror("convexHull::inHull: #rows > #pLP->LiPM_rows!");
-  if ( numcols + 1 > pLP->LiPM_cols ) Werror("convexHull::inHull: #cols > #pLP->LiPM_cols!");
+  if ( numcons + 1 > pLP->LiPM_rows )
+    WerrorS("convexHull::inHull: #rows > #pLP->LiPM_rows!");
+  if ( numcols + 1 > pLP->LiPM_cols )
+    WerrorS("convexHull::inHull: #cols > #pLP->LiPM_cols!");
 #endif
 
   simplx( pLP->LiPM, numcons, numcols-1, 0, 0, numcons, &icase, pLP->izrov, pLP->iposv);
 
-  return (icase == 0);	
+  return (icase == 0);
 }
 
@@ -747,24 +800,28 @@
   Exponent_t * vert;
 
-  n= pVariables;	
+  n= pVariables;
   vert= (Exponent_t *)Alloc( (idelem+1) * sizeof(Exponent_t) );
 
-  Q = (pointSet **)Alloc( idelem * sizeof(pointSet*) );	// support hulls 
+  Q = (pointSet **)Alloc( idelem * sizeof(pointSet*) );        // support hulls
   for ( i= 0; i < idelem; i++ )
     Q[i] = new pointSet( pVariables, i+1, pLength((gls->m)[i])+1 );
 
-  for( i= 0; i < idelem; i++ ) {
+  for( i= 0; i < idelem; i++ )
+  {
     k=1;
     m = pLength( (gls->m)[i] );
 
     poly p= (gls->m)[i];
-    for( j= 1; j <= m; j++) {  // für jeden Exponentvektor 
-      if( !inHull( (gls->m)[i], p, m, j ) ) {
-	pGetExpV( p, vert );
+    for( j= 1; j <= m; j++) {  // für jeden Exponentvektor
+      if( !inHull( (gls->m)[i], p, m, j ) )
+      {
+        pGetExpV( p, vert );
         Q[i]->addPoint( vert );
-	k++;
-	mprSTICKYPROT(ST_SPARSE_VADD);
-      } else {
-	mprSTICKYPROT(ST_SPARSE_VREJ);
+        k++;
+        mprSTICKYPROT(ST_SPARSE_VADD);
+      }
+      else
+      {
+        mprSTICKYPROT(ST_SPARSE_VREJ);
       }
       pIter( p );
@@ -777,7 +834,9 @@
 #ifdef mprDEBUG_PROT
   PrintLn();
-  for( i= 0; i < idelem; i++ ) {
+  for( i= 0; i < idelem; i++ )
+  {
     Print(" \\Conv(Qi[%d]): #%d\n", i,Q[i]->num );
-    for ( j=1; j <= Q[i]->num; j++ ) {
+    for ( j=1; j <= Q[i]->num; j++ )
+    {
       Print("%d: <",j);print_exp( (*Q[i])[j] , pVariables );Print(">\n");
     }
@@ -815,20 +874,22 @@
 
   numverts = 0;
-  for( i=0; i<=n; i++) {
+  for( i=0; i<=n; i++)
+  {
     numverts += Qi[i]->num;
   }
-  cols = numverts + 2;  
-
-  //if( dim < 1 || dim > n ) Werror("mayanPyramidAlg::vDistance: Known coords dim off range");
-
-  pLP->LiPM[1][1] = 0.0; 
-  pLP->LiPM[1][2] = 1.0;	// maximize	
+  cols = numverts + 2;
+
+  //if( dim < 1 || dim > n )
+  //  WerrorS("mayanPyramidAlg::vDistance: Known coords dim off range");
+
+  pLP->LiPM[1][1] = 0.0;
+  pLP->LiPM[1][2] = 1.0;        // maximize
   for( j=3; j<=cols; j++) pLP->LiPM[1][j] = 0.0;
 
-  for( i=0; i <= n; i++ ) {			
+  for( i=0; i <= n; i++ ) {
     pLP->LiPM[i+2][1] = 1.0;
     pLP->LiPM[i+2][2] = 0.0;
   }
-  for( i=1; i<=dim; i++) {		
+  for( i=1; i<=dim; i++) {
     pLP->LiPM[n+2+i][1] = (mprfloat)(acoords[i-1]);
     pLP->LiPM[n+2+i][2] = -shift[i];
@@ -837,11 +898,13 @@
   ii = -1;
   col = 2;
-  for ( i= 0; i <= n; i++ ) {			
+  for ( i= 0; i <= n; i++ ) {
     ii++;
-    for( k= 1; k <= Qi[ii]->num; k++ ) {
+    for( k= 1; k <= Qi[ii]->num; k++ )
+    {
       col++;
-      for ( r= 0; r <= n; r++ ) {
-	if ( r == i ) pLP->LiPM[r+2][col] = -1.0;
-	else pLP->LiPM[r+2][col] = 0.0;
+      for ( r= 0; r <= n; r++ )
+      {
+        if ( r == i ) pLP->LiPM[r+2][col] = -1.0;
+        else pLP->LiPM[r+2][col] = 0.0;
       }
       for( r= 1; r <= dim; r++ ) pLP->LiPM[r+n+2][col] = -(mprfloat)((*Qi[ii])[k]->point[r]);
@@ -849,7 +912,8 @@
   }
 
-  if( col != cols) Werror("mayanPyramidAlg::vDistance:" 
-			  "setting up matrix for udist: col %d != cols %d",col,cols);
-  constr = n+dim+1;			
+  if( col != cols)
+    Werror("mayanPyramidAlg::vDistance:"
+           "setting up matrix for udist: col %d != cols %d",col,cols);
+  constr = n+dim+1;
 
 #ifdef mprDEBUG_ALL
@@ -861,6 +925,8 @@
 
 #if 1
-  if ( constr + 1 > pLP->LiPM_rows ) Werror("mayanPyramidAlg::vDistance: #rows > #pLP->LiPM_rows!");
-  if ( cols + 1 > pLP->LiPM_cols ) Werror("mayanPyramidAlg::vDistance: #cols > #pLP->LiPM_cols!");
+  if ( constr + 1 > pLP->LiPM_rows )
+    WerrorS("mayanPyramidAlg::vDistance: #rows > #pLP->LiPM_rows!");
+  if ( cols + 1 > pLP->LiPM_cols )
+    WerrorS("mayanPyramidAlg::vDistance: #cols > #pLP->LiPM_cols!");
 #endif
 
@@ -873,9 +939,11 @@
   print_bmat( pLP->LiPM, constr+1, cols+1-constr, cols, pLP->iposv);
 #endif
-   
+
   if( icase != 0 ) {  // check for errors
-    Werror("mayanPyramidAlg::vDistance: \n");
-    if( icase == 1 ) Werror(" vDistance: Unbounded v-distance: probably 1st v-coor=0");
-    if( icase == -1 ) Werror(" vDistance: Infeasible v-distance");
+    WerrorS("mayanPyramidAlg::vDistance:");
+    if( icase == 1 )
+      WerrorS(" vDistance: Unbounded v-distance: probably 1st v-coor=0");
+    if( icase == -1 )
+      WerrorS(" vDistance: Infeasible v-distance");
     return -1.0;
   }
@@ -895,20 +963,22 @@
 
   // common part of the matrix
-  pLP->LiPM[1][1] = 0.0;		
-  for( i=2; i<=n+2; i++) {	
-    pLP->LiPM[i][1] = 1.0;	// 1st col	
-    pLP->LiPM[i][2] = 0.0;	// 2nd col	
+  pLP->LiPM[1][1] = 0.0;
+  for( i=2; i<=n+2; i++) {
+    pLP->LiPM[i][1] = 1.0;        // 1st col
+    pLP->LiPM[i][2] = 0.0;        // 2nd col
   }
 
   la_cons_row = 1;
   cols = 2;
-  for( i=0; i<=n; i++) { 
+  for( i=0; i<=n; i++)
+  {
     la_cons_row++;
-    for( j=1; j<= Qi[i]->num; j++) {
+    for( j=1; j<= Qi[i]->num; j++)
+    {
       cols++;
-      pLP->LiPM[1][cols] = 0.0;	// set 1st row 0
+      pLP->LiPM[1][cols] = 0.0;        // set 1st row 0
       for( k=2; k<=n+2; k++) {  // lambdas sum up to 1
-	if( k != la_cons_row) pLP->LiPM[k][cols] = 0.0;
-	else pLP->LiPM[k][cols] = -1.0;
+        if( k != la_cons_row) pLP->LiPM[k][cols] = 0.0;
+        else pLP->LiPM[k][cols] = -1.0;
       }
       for( k=1; k<=n; k++) pLP->LiPM[k+n+2][cols] = -(mprfloat)((*Qi[i])[j]->point[k]);
@@ -916,5 +986,5 @@
   } // i
 
-  for( i= 0; i < dim; i++ ) {		// fixed coords
+  for( i= 0; i < dim; i++ ) {                // fixed coords
     pLP->LiPM[i+n+3][1] = acoords[i];
     pLP->LiPM[i+n+3][2] = 0.0;
@@ -922,6 +992,6 @@
   pLP->LiPM[dim+n+3][1] = 0.0;
 
-  
-  pLP->LiPM[1][2] = -1.0;	                // minimize
+
+  pLP->LiPM[1][2] = -1.0;                        // minimize
   pLP->LiPM[dim+n+3][2] = 1.0;
 
@@ -934,14 +1004,18 @@
 
 #if 1
-  if ( cons + 1 > pLP->LiPM_rows ) Werror(" mn_mx_MinkowskiSum: #rows > #pLP->LiPM_rows!");
-  if ( cols + 1 > pLP->LiPM_cols ) Werror(" mn_mx_MinkowskiSum: #cols > #pLP->LiPM_cols!");
+  if ( cons + 1 > pLP->LiPM_rows )
+    WerrorS(" mn_mx_MinkowskiSum: #rows > #pLP->LiPM_rows!");
+  if ( cols + 1 > pLP->LiPM_cols )
+    WerrorS(" mn_mx_MinkowskiSum: #cols > #pLP->LiPM_cols!");
 #endif
 
   // simplx finds MIN for obj.fnc, puts it in [1,1]
   simplx(pLP->LiPM, cons, cols-1, 0, 0, cons, &icase, pLP->izrov, pLP->iposv);
-  
+
   if ( icase != 0 ) { // check for errors
-    if( icase < 0) Werror(" mn_mx_MinkowskiSum: LinearProgram: minR: infeasible");
-    if( icase > 0) Werror(" mn_mx_MinkowskiSum: LinearProgram: minR: unbounded");
+    if( icase < 0)
+      WerrorS(" mn_mx_MinkowskiSum: LinearProgram: minR: infeasible");
+    else if( icase > 0)
+      WerrorS(" mn_mx_MinkowskiSum: LinearProgram: minR: unbounded");
   }
 
@@ -952,19 +1026,21 @@
 
   // common part of the matrix again
-  pLP->LiPM[1][1] = 0.0;			
-  for( i=2; i<=n+2; i++) {		
-    pLP->LiPM[i][1] = 1.0;			
-    pLP->LiPM[i][2] = 0.0;			
+  pLP->LiPM[1][1] = 0.0;
+  for( i=2; i<=n+2; i++) {
+    pLP->LiPM[i][1] = 1.0;
+    pLP->LiPM[i][2] = 0.0;
   }
   la_cons_row = 1;
   cols = 2;
-  for( i=0; i<=n; i++) { 
+  for( i=0; i<=n; i++)
+  {
     la_cons_row++;
-    for( j=1; j<=Qi[i]->num; j++) {
+    for( j=1; j<=Qi[i]->num; j++)
+    {
       cols++;
-      pLP->LiPM[1][cols] = 0.0;		
-      for( k=2; k<=n+2; k++) {	
-	if( k != la_cons_row) pLP->LiPM[k][cols] = 0.0;
-	else pLP->LiPM[k][cols] = -1.0;
+      pLP->LiPM[1][cols] = 0.0;
+      for( k=2; k<=n+2; k++) {
+        if( k != la_cons_row) pLP->LiPM[k][cols] = 0.0;
+        else pLP->LiPM[k][cols] = -1.0;
       }
       for( k=1; k<=n; k++) pLP->LiPM[k+n+2][cols] = -(mprfloat)((*Qi[i])[j]->point[k]);
@@ -972,5 +1048,5 @@
   }  // i
 
-  for( i= 0; i < dim; i++ ) {		// fixed coords 
+  for( i= 0; i < dim; i++ ) {                // fixed coords
     pLP->LiPM[i+n+3][1] = acoords[i];
     pLP->LiPM[i+n+3][2] = 0.0;
@@ -978,6 +1054,6 @@
   pLP->LiPM[dim+n+3][1] = 0.0;
 
-  pLP->LiPM[1][2] = 1.0;			// maximize  
-  pLP->LiPM[dim+n+3][2] = 1.0;		// var = sum of pnt coords 
+  pLP->LiPM[1][2] = 1.0;                        // maximize
+  pLP->LiPM[dim+n+3][2] = 1.0;                // var = sum of pnt coords
 
 #ifdef mprDEBUG_ALL
@@ -987,6 +1063,8 @@
 
 #if 1
-  if ( cons + 1 > pLP->LiPM_rows ) Werror(" mn_mx_MinkowskiSum: #rows > #pLP->LiPM_rows!");
-  if ( cols + 1 > pLP->LiPM_cols ) Werror(" mn_mx_MinkowskiSum: #cols > #pLP->LiPM_cols!");
+  if ( cons + 1 > pLP->LiPM_rows )
+    WerrorS(" mn_mx_MinkowskiSum: #rows > #pLP->LiPM_rows!");
+  if ( cols + 1 > pLP->LiPM_cols )
+    WerrorS(" mn_mx_MinkowskiSum: #cols > #pLP->LiPM_cols!");
 #endif
 
@@ -994,10 +1072,13 @@
   simplx(pLP->LiPM, cons, cols-1, 0, 0, cons, &icase, pLP->izrov, pLP->iposv);
 
-  if ( icase != 0 ) {
-    if( icase < 0) Werror(" mn_mx_MinkowskiSum: LinearProgram: maxR: infeasible");
-    if( icase > 0) Werror(" mn_mx_MinkowskiSum: LinearProgram: maxR: unbounded");
-  }
-
-  *maxR = (Coord_t)( pLP->LiPM[1][1] + SIMPLEX_EPS );	
+  if ( icase != 0 )
+  {
+    if( icase < 0)
+      WerrorS(" mn_mx_MinkowskiSum: LinearProgram: maxR: infeasible");
+    else if( icase > 0)
+      WerrorS(" mn_mx_MinkowskiSum: LinearProgram: maxR: unbounded");
+  }
+
+  *maxR = (Coord_t)( pLP->LiPM[1][1] + SIMPLEX_EPS );
 
 #ifdef mprDEBUG_ALL
@@ -1007,6 +1088,6 @@
 
 // mprSTICKYPROT:
-// ST_SPARSE_VREJ: rejected point 
-// ST_SPARSE_VADD: added point to set 
+// ST_SPARSE_VREJ: rejected point
+// ST_SPARSE_VADD: added point to set
 bool mayanPyramidAlg::storeMinkowskiSumPoint()
 {
@@ -1016,6 +1097,7 @@
   dist= vDistance( &(acoords[0]), n );
 
-  // store only points with v-distance > minVdist 
-  if( dist <= MINVDIST + SIMPLEX_EPS ) {
+  // store only points with v-distance > minVdist
+  if( dist <= MINVDIST + SIMPLEX_EPS )
+  {
     mprSTICKYPROT(ST_SPARSE_VREJ);
     return false;
@@ -1024,6 +1106,6 @@
   E->addPoint( &(acoords[0]) );
   mprSTICKYPROT(ST_SPARSE_VADD);
-  
-  return true; 
+
+  return true;
 }
 
@@ -1047,9 +1129,10 @@
 
   // step 5 -> terminate
-  if( dim == n-1 ) {	
-    int lastKilled = 0;			
+  if( dim == n-1 ) {
+    int lastKilled = 0;
     // insert points
     acoords[dim] = minR;
-    while( acoords[dim] <= maxR ) {
+    while( acoords[dim] <= maxR )
+    {
       if( !storeMinkowskiSumPoint() ) lastKilled++;
       acoords[dim]++;
@@ -1060,16 +1143,18 @@
 
   // step 4 -> recurse at step 3
-  acoords[dim] = minR;				
-  while ( acoords[dim] <= maxR ) {
+  acoords[dim] = minR;
+  while ( acoords[dim] <= maxR )
+  {
     if ( (acoords[dim] > minR) && (acoords[dim] <= maxR) ) {     // acoords[dim] >= minR  ??
       mprSTICKYPROT(ST_SPARSE_MREC1);
       runMayanPyramid( dim + 1 );         // recurse with higer dimension
-    } else {	
+    } else {
       // get v-distance of pt
       dist= vDistance( &(acoords[0]), dim + 1 );// dim+1 == known coordinates
 
-      if( dist >= SIMPLEX_EPS ) {  
-	mprSTICKYPROT(ST_SPARSE_MREC2);
-	runMayanPyramid( dim + 1 );       // recurse with higer dimension
+      if( dist >= SIMPLEX_EPS )
+      {
+        mprSTICKYPROT(ST_SPARSE_MREC2);
+        runMayanPyramid( dim + 1 );       // recurse with higer dimension
       }
     }
@@ -1086,6 +1171,8 @@
   int i,n= pVariables;
   int loffset= 0;
-  for ( i= 0; i <= n; i++ ) {
-    if ( (loffset < indx) && (indx <= pQ[i]->num + loffset) ) {
+  for ( i= 0; i <= n; i++ )
+  {
+    if ( (loffset < indx) && (indx <= pQ[i]->num + loffset) )
+    {
       *set= i;
       *pnt= indx-loffset;
@@ -1113,28 +1200,32 @@
 
   // fill in LP matrix
-  for ( i= 0; i <= n; i++ ) {
+  for ( i= 0; i <= n; i++ )
+  {
     size= pQ[i]->num;
-    for ( k= 1; k <= size; k++ ) {
+    for ( k= 1; k <= size; k++ )
+    {
       ncols++;
 
       // objective funtion, minimize
       LP.LiPM[1][ncols] = - ( (mprfloat) (*pQ[i])[k]->point[pQ[i]->dim] / SCALEDOWN );
-      
+
       // lambdas sum up to 1
-      for ( j = 0; j <= n; j++ ) 
-	if ( i==j )
-	  LP.LiPM[j+2][ncols] = -1.0;
-	else
-	  LP.LiPM[j+2][ncols] = 0.0;
+      for ( j = 0; j <= n; j++ )
+        if ( i==j )
+          LP.LiPM[j+2][ncols] = -1.0;
+        else
+          LP.LiPM[j+2][ncols] = 0.0;
 
       // the points
-      for ( j = 1; j <= n; j++ ) {
-	LP.LiPM[j+n+2][ncols] =  - ( (mprfloat) (*pQ[i])[k]->point[j] );
-      }
-    }
-  }
-    
-  for ( j = 0; j <= n; j++ ) LP.LiPM[j+2][1] = 1.0;   
-  for ( j= 1; j <= n; j++ ) {
+      for ( j = 1; j <= n; j++ )
+      {
+        LP.LiPM[j+n+2][ncols] =  - ( (mprfloat) (*pQ[i])[k]->point[j] );
+      }
+    }
+  }
+
+  for ( j = 0; j <= n; j++ ) LP.LiPM[j+2][1] = 1.0;
+  for ( j= 1; j <= n; j++ )
+  {
     LP.LiPM[j+n+2][1]= (mprfloat)(*E)[vert]->point[j] - shift[j];
   }
@@ -1146,10 +1237,12 @@
   PrintLn();
   Print(" n= %d, NumCons=M= %d, ncols=N= %d\n",n,NumCons,ncols);
-  print_mat(LP.LiPM, NumCons+1, ncols+1);   
-#endif  
+  print_mat(LP.LiPM, NumCons+1, ncols+1);
+#endif
 
 #if 1
-  if ( NumCons + 1 > LP.LiPM_rows ) Werror("resMatrixSparse::RC: #rows > #LP.LiPM_rows!");
-  if ( ncols + 1 > LP.LiPM_cols ) Werror("resMatrixSparse::RC: #cols > #LP.LiPM_cols!");
+  if ( NumCons + 1 > LP.LiPM_rows )
+    WerrorS("resMatrixSparse::RC: #rows > #LP.LiPM_rows!");
+  if ( ncols + 1 > LP.LiPM_cols )
+    WerrorS("resMatrixSparse::RC: #cols > #LP.LiPM_cols!");
 #endif
 
@@ -1157,5 +1250,6 @@
   simplx(LP.LiPM, NumCons, ncols,  0,  0, NumCons, &icase, LP.izrov, LP.iposv);
 
-  if (icase < 0) {
+  if (icase < 0)
+  {
     // infeasibility: the point does not lie in a cell -> remove it
     return -1;
@@ -1170,21 +1264,24 @@
   //print_mat(LP.LiPM, NumCons+1, ncols);
 #endif
-  
+
 #if 1
   // sort LP results
-  while (found) {
+  while (found)
+  {
     found=false;
-    for ( i= 1; i < NumCons; i++ ) {
-      if ( LP.iposv[i] > LP.iposv[i+1] ) {
-
-	c= LP.iposv[i];
-	LP.iposv[i]=LP.iposv[i+1];
-	LP.iposv[i+1]=c;
-
-	cd=LP.LiPM[i+1][1];
-	LP.LiPM[i+1][1]=LP.LiPM[i+2][1];
-	LP.LiPM[i+2][1]=cd;
-
-	found= true;
+    for ( i= 1; i < NumCons; i++ )
+    {
+      if ( LP.iposv[i] > LP.iposv[i+1] )
+      {
+
+        c= LP.iposv[i];
+        LP.iposv[i]=LP.iposv[i+1];
+        LP.iposv[i+1]=c;
+
+        cd=LP.LiPM[i+1][1];
+        LP.LiPM[i+1][1]=LP.LiPM[i+2][1];
+        LP.LiPM[i+2][1]=cd;
+
+        found= true;
       }
     }
@@ -1203,11 +1300,14 @@
   c=0;
   optSum= (setID*)Alloc( (NumCons) * sizeof(struct setID) );
-  for ( i= 0; i < NumCons; i++ ) {
+  for ( i= 0; i < NumCons; i++ )
+  {
     //Print("% .15f\n",LP.LiPM[i+2][1]);
-    if ( LP.LiPM[i+2][1] > 1e-12 ) {
-      if ( !remapXiToPoint( LP.iposv[i+1], pQ, &(optSum[c].set), &(optSum[c].pnt) ) ) {
-	Werror(" resMatrixSparse::RC: Found bad solution in LP: %d!",LP.iposv[i+1]);
-	Werror(" resMatrixSparse::RC: remapXiToPoint faild!");
-	return -1;
+    if ( LP.LiPM[i+2][1] > 1e-12 )
+    {
+      if ( !remapXiToPoint( LP.iposv[i+1], pQ, &(optSum[c].set), &(optSum[c].pnt) ) )
+      {
+        Werror(" resMatrixSparse::RC: Found bad solution in LP: %d!",LP.iposv[i+1]);
+        WerrorS(" resMatrixSparse::RC: remapXiToPoint faild!");
+        return -1;
       }
       bucket[optSum[c].set]++;
@@ -1219,12 +1319,15 @@
   // find last min in bucket[]: maximum i such that Fi is a point
   c= 0;
-  for ( i= 1; i < E->dim; i++ ) {
-    if ( bucket[c] >= bucket[i] ) {
+  for ( i= 1; i < E->dim; i++ )
+  {
+    if ( bucket[c] >= bucket[i] )
+    {
       c= i;
     }
   }
   // find matching point set
-  for ( i= onum - 1; i >= 0; i-- ) {
-    if ( optSum[i].set == c ) 
+  for ( i= onum - 1; i >= 0; i-- )
+  {
+    if ( optSum[i].set == c )
       break;
   }
@@ -1233,14 +1336,16 @@
   (*E)[vert]->rc.pnt= optSum[i].pnt;
   (*E)[vert]->rcPnt= (*pQ[c])[optSum[i].pnt];
-  // count 
+  // count
   if ( (*E)[vert]->rc.set == linPolyS ) numSet0++;
 
 #ifdef mprDEBUG_PROT
   Print("\n Point E[%d] was <",vert);print_exp((*E)[vert],E->dim-1);Print(">, bucket={");
-  for ( j= 0; j < E->dim; j++ ) {
+  for ( j= 0; j < E->dim; j++ )
+  {
     Print(" %d",bucket[j]);
   }
   Print(" }\n optimal Sum: Qi ");
-  for ( j= 0; j < NumCons; j++ ) {
+  for ( j= 0; j < NumCons; j++ )
+  {
     Print(" [ %d, %d ]",optSum[j].set,optSum[j].pnt);
   }
@@ -1253,5 +1358,5 @@
   mprSTICKYPROT(ST_SPARSE_RC);
 
-  return (int)(-LP.LiPM[1][1] * SCALEDOWN);  
+  return (int)(-LP.LiPM[1][1] * SCALEDOWN);
 }
 
@@ -1290,7 +1395,7 @@
   for ( i= 1; i <= E->num; i++ ) {       // for every row
     E->getRowMP( i, epp_mon );           // compute (p-a[ij]), (i,j) = RC(p)
-    pSetExpV( epp, epp_mon );           
-
-    // 
+    pSetExpV( epp, epp_mon );
+
+    //
     rowp= pMult( pCopy(epp), pCopy((gls->m)[(*E)[i]->rc.set]) );  // x^(p-a[ij]) * f(i)
     pSetm( rowp );
@@ -1299,18 +1404,20 @@
     // get column for every monomial in rowp and store it
     iterp= rowp;
-    while ( iterp ) {
+    while ( iterp )
+    {
       epos= E->getExpPos( iterp );
-      if ( epos == 0 ) {
-	// this can happen, if the shift vektor or the lift funktions 
-	// are not generically choosen.
-	Werror("resMatrixSparse::createMatrix: Found exponent not in E, id %d, set [%d, %d]!",
-	       i,(*E)[i]->rc.set,(*E)[i]->rc.pnt);
-	return i;
+      if ( epos == 0 )
+      {
+        // this can happen, if the shift vektor or the lift funktions
+        // are not generically choosen.
+        Werror("resMatrixSparse::createMatrix: Found exponent not in E, id %d, set [%d, %d]!",
+               i,(*E)[i]->rc.set,(*E)[i]->rc.pnt);
+        return i;
       }
       pSetExpV(iterp,eexp);
       pSetComp(iterp, epos );
       if ( (*E)[i]->rc.set == linPolyS ) { // store coeff positions
-	IMATELEM(*uRPos,rp,cp)= epos;
-	cp++;
+        IMATELEM(*uRPos,rp,cp)= epos;
+        cp++;
       }
       pIter( iterp );
@@ -1329,9 +1436,11 @@
 
 #ifdef mprDEBUG_ALL
-  if ( E->num <= 40 ) {
+  if ( E->num <= 40 )
+  {
     matrix mout= idModule2Matrix( idCopy(rmat) );
     print_matrix(mout);
   }
-  for ( i= 1; i <= numSet0; i++ ) {
+  for ( i= 1; i <= numSet0; i++ )
+  {
     Print(" row  %d contains coeffs of f_%d\n",IMATELEM(*uRPos,i,1),linPolyS);
   }
